Refactor logic from gerrit.sh into gerrit/filters.  Add modular usage/help

Change-Id: I2ff1d0eda2bb7e80dab8d345721f39c621357774
diff --git a/jira/jira-search/todo.sh b/jira/jira-search/todo.sh
new file mode 100644
index 0000000..c083b77
--- /dev/null
+++ b/jira/jira-search/todo.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+## -----------------------------------------------------------------------
+## -----------------------------------------------------------------------
+function __anonymous()
+{
+    cat <<EOT
+
+** -----------------------------------------------------------------------
+** [TODO]
+** -----------------------------------------------------------------------
+    o --component bbsim --component ci-management
+      # Component not working unless project passed
+    project = VOL AND component in (bbsim, bbsim-sadis-server, ci-management)
+EOT
+    return
+}
+
+__anonymous
+unset __anonymous
+
+: # ($?==0) for source script return
+# [EOF]